{
  "name": "winpharm",
  "version": "0.0.1-SNAPSHOT",
  "description": "Description for winpharm",
  "private": true,
  "license": "UNLICENSED",
  "cacheDirectories": [
    "node_modules"
  ],
  "dependencies": {
    "@angular/animations": "^8.2.9",
    "@angular/common": "8.2.4",
    "@angular/compiler": "8.2.4",
    "@angular/core": "8.2.4",
    "@angular/forms": "8.2.4",
    "@angular/platform-browser": "8.2.4",
    "@angular/platform-browser-dynamic": "8.2.4",
    "@angular/router": "8.2.4",
    "@fortawesome/angular-fontawesome": "0.5.0",
    "@fortawesome/fontawesome-svg-core": "1.2.22",
    "@fortawesome/free-solid-svg-icons": "5.10.2",
    "@ng-bootstrap/ng-bootstrap": "^5.1.0",
    "@ngx-translate/core": "11.0.1",
    "@ngx-translate/http-loader": "4.0.0",
    "bootstrap": "4.3.1",
    "core-js": "3.2.1",
    "moment": "2.24.0",
    "ng-jhipster": "0.11.1",
    "ngx-cookie": "4.0.2",
    "ngx-infinite-scroll": "8.0.0",
    "ngx-webstorage": "4.0.1",
    "primeicons": "^2.0.0",
    "primeng": "^8.0.3",
    "rxjs": "6.5.2",
    "swagger-ui": "2.2.10",
    "tslib": "1.10.0",
    "zone.js": "0.10.2"
  },
  "devDependencies": {
    "@angular/cli": "8.3.1",
    "@angular/compiler-cli": "8.2.4",
    "@ngtools/webpack": "8.3.1",
    "@types/jest": "24.0.18",
    "@types/node": "10.12.27",
    "@typescript-eslint/eslint-plugin": "2.0.0",
    "@typescript-eslint/eslint-plugin-tslint": "2.0.0",
    "@typescript-eslint/parser": "2.0.0",
    "angular2-template-loader": "0.6.2",
    "autoprefixer": "9.6.1",
    "base-href-webpack-plugin": "2.0.0",
    "browser-sync": "2.26.7",
    "browser-sync-webpack-plugin": "2.2.2",
    "cache-loader": "4.1.0",
    "codelyzer": "5.1.0",
    "copy-webpack-plugin": "5.0.4",
    "css-loader": "3.2.0",
    "eslint": "6.2.2",
    "eslint-config-jhipster": "0.0.1",
    "eslint-config-prettier": "6.1.0",
    "eslint-loader": "3.0.0",
    "file-loader": "4.2.0",
    "fork-ts-checker-webpack-plugin": "1.5.0",
    "friendly-errors-webpack-plugin": "1.7.0",
    "generator-jhipster": "6.3.0",
    "html-loader": "0.5.5",
    "html-webpack-plugin": "3.2.0",
    "husky": "3.0.4",
    "jest": "24.9.0",
    "jest-junit": "8.0.0",
    "jest-preset-angular": "7.1.1",
    "jest-sonar-reporter": "2.0.0",
    "lint-staged": "8.2.1",
    "merge-jsons-webpack-plugin": "1.0.19",
    "mini-css-extract-plugin": "0.8.0",
    "moment-locales-webpack-plugin": "1.1.0",
    "optimize-css-assets-webpack-plugin": "5.0.3",
    "postcss-loader": "3.0.0",
    "prettier": "1.18.2",
    "reflect-metadata": "0.1.13",
    "rimraf": "3.0.0",
    "sass": "1.22.10",
    "sass-loader": "7.3.1",
    "simple-progress-webpack-plugin": "1.1.2",
    "style-loader": "1.0.0",
    "terser-webpack-plugin": "1.4.1",
    "thread-loader": "2.1.3",
    "to-string-loader": "1.1.5",
    "ts-loader": "6.0.4",
    "tslint": "5.19.0",
    "typescript": "3.4.5",
    "@openapitools/openapi-generator-cli": "0.0.19-4.1.2",
    "webpack": "4.39.3",
    "webpack-cli": "3.3.7",
    "webpack-dev-server": "3.8.0",
    "webpack-merge": "4.2.2",
    "webpack-notifier": "1.8.0",
    "webpack-visualizer-plugin": "0.1.11",
    "workbox-webpack-plugin": "4.3.1",
    "write-file-webpack-plugin": "4.5.1"
  },
  "engines": {
    "node": ">=8.9.0"
  },
  "scripts": {
    "prettier:format": "prettier --write \"{,src/**/}*.{md,json,ts,css,scss,yml}\"",
    "lint": "eslint . --ext .js,.ts",
    "lint:fix": "npm run lint -- --fix",
    "ngc": "ngc -p tsconfig-aot.json",
    "cleanup": "rimraf target/classes/static/ target/classes/aot",
    "clean-www": "rimraf target/classes/static/app/{src,target/}",
    "start": "npm run webpack:dev",
    "start-tls": "npm run webpack:dev -- --env.tls",
    "serve": "npm run start",
    "build": "npm run webpack:prod",
    "test": "npm run lint && jest --coverage --logHeapUsage -w=2 --config src/test/javascript/jest.conf.js",
    "test:watch": "npm run test -- --watch",
    "webpack:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --env.stats=minimal",
    "webpack:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --hot --port=9060 --watch-content-base --profile --progress --env.stats=normal",
    "webpack:build:main": "npm run webpack -- --config webpack/webpack.dev.js --env.stats=minimal",
    "webpack:build": "npm run cleanup && npm run webpack:build:main",
    "webpack:prod:main": "npm run webpack -- --config webpack/webpack.prod.js --profile",
    "webpack:prod": "npm run cleanup && npm run webpack:prod:main && npm run clean-www",
    "webpack:test": "npm run test",
    "webpack-dev-server": "node --max_old_space_size=4096 node_modules/webpack-dev-server/bin/webpack-dev-server.js",
    "webpack": "node --max_old_space_size=4096 node_modules/webpack/bin/webpack.js"
  },
  "jestSonar": {
    "reportPath": "target/test-results/jest",
    "reportFile": "TESTS-results-sonar.xml"
  }
}
